# VelocityMessageFormatter (ACF (Velocity) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: VelocityMessageFormatter

Package co.aikar.commands

# Class VelocityMessageFormatter

java.lang.Object
co.aikar.commands.MessageFormatter<net.kyori.adventure.text.format.NamedTextColor>
co.aikar.commands.VelocityMessageFormatter

public class VelocityMessageFormatter extends co.aikar.commands.MessageFormatter<net.kyori.adventure.text.format.NamedTextColor>

## Constructor Summary

Constructors
Constructor
Description
`VelocityMessageFormatter(net.kyori.adventure.text.format.NamedTextColor... colors)`

## Method Summary

### Methods inherited from class co.aikar.commands.MessageFormatter

`format, format, getColor, getDefaultColor, setColor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VelocityMessageFormatter

public VelocityMessageFormatter (net.kyori.adventure.text.format.NamedTextColor... colors)